#  -*- coding: utf-8 -*-
"""
Author: Rafael R. L. Benevides
"""

from numpy.typing import NDArray
from spacekernel.datamodel import COE_dt
from spacekernel.bodies import Earth


def orp_from_sma(sma: float | NDArray, GM: float = Earth.GM) -> float | NDArray: ...

def sma_from_orp(orp: float | NDArray, GM: float = Earth.GM) -> float | NDArray: ...

def mnm_from_sma(sma: float | NDArray, GM: float = Earth.GM) -> float | NDArray: ...

def sma_from_mnm(mnm: float | NDArray, GM: float = Earth.GM) -> float | NDArray: ...

def eca_from_mea(mea: float | NDArray, ecc: float | NDArray) -> float | NDArray: ...

def mea_from_eca(eca: float | NDArray, ecc: float | NDArray) -> float | NDArray: ...

def eca_from_tra(tra: float | NDArray, ecc: float | NDArray) -> float | NDArray: ...

def tra_from_eca(eca: float | NDArray, ecc: float | NDArray) -> float | NDArray: ...

def tra_from_mea(mea: float | NDArray, ecc: float | NDArray) -> float | NDArray: ...

def mea_from_tra(tra: float | NDArray, ecc: float | NDArray) -> float | NDArray: ...

def coe_from_state_vector(r: NDArray, v: NDArray, GM: float = Earth.GM) -> NDArray[COE_dt]: ...

def state_vector_from_coe(coe: NDArray[COE_dt], GM: float = Earth.GM) -> tuple[NDArray, 2]: ...